### Callable

- exec(command: string, callback?: undefined | function): ChildProcess
- exec(command: string, options: object & ExecOptions, callback?: undefined | function): ChildProcess
- exec(command: string, options: object & ExecOptions, callback?: undefined | function): ChildProcess
- exec(command: string, options: object & ExecOptions, callback?: undefined | function): ChildProcess
- exec(command: string, options: ExecOptions, callback?: undefined | function): ChildProcess
- exec(command: string, options: object & ExecOptions | undefined | null, callback?: undefined | function): ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:138

  #### Parameters

  - ##### command: string

  - ##### Optional callback: undefined | function

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:141

  #### Parameters

  - ##### command: string

  - ##### options: object & ExecOptions

  - ##### Optional callback: undefined | function

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:144

  #### Parameters

  - ##### command: string

  - ##### options: object & ExecOptions

  - ##### Optional callback: undefined | function

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:148

  #### Parameters

  - ##### command: string

  - ##### options: object & ExecOptions

  - ##### Optional callback: undefined | function

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:151

  #### Parameters

  - ##### command: string

  - ##### options: ExecOptions

  - ##### Optional callback: undefined | function

  #### Returns ChildProcess

- - Defined in node_modules/@types/node/child_process.d.ts:154

  #### Parameters

  - ##### command: string

  - ##### options: object & ExecOptions | undefined | null

  - ##### Optional callback: undefined | function

  #### Returns ChildProcess

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(command: string): Promise<object>
- __promisify__(command: string, options: object & ExecOptions): Promise<object>
- __promisify__(command: string, options: object & ExecOptions): Promise<object>
- __promisify__(command: string, options: ExecOptions): Promise<object>
- __promisify__(command: string, options?: object & ExecOptions | null): Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:162

  #### Parameters

  - ##### command: string

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:163

  #### Parameters

  - ##### command: string

  - ##### options: object & ExecOptions

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:164

  #### Parameters

  - ##### command: string

  - ##### options: object & ExecOptions

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:165

  #### Parameters

  - ##### command: string

  - ##### options: ExecOptions

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/child_process.d.ts:166

  #### Parameters

  - ##### command: string

  - ##### Optional options: object & ExecOptions | null

  #### Returns Promise<object>

Generated using TypeDoc